OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Private Member Functions | Private Attributes
LanguagePackGlyphSearcher Class Reference

Helper for searching through the language pack. More...

Inheritance diagram for LanguagePackGlyphSearcher:

## Private Member Functions
void | Reset ()
FontSize | DefaultSize ()
const char * | NextString ()
bool | Monospace ()
void | SetFontNames (FreeTypeSettings *settings, const char *font_name)

## Private Attributes
uint | i
| Iterator for the primary language tables.
uint | j
| Iterator for the secondary language tables.

## Additional Inherited Members
Public Member Functions inherited from MissingGlyphSearcher
virtual | ~MissingGlyphSearcher ()
| Make sure everything gets destructed right.
virtual const char * | NextString ()=0
| Get the next string to search through.
virtual FontSize | DefaultSize ()=0
| Get the default (font) size of the string.
virtual void | Reset ()=0
| Reset the search, i.e.
virtual bool | Monospace ()=0
| Whether to search for a monospace font or not.
virtual void | SetFontNames (struct FreeTypeSettings *settings, const char *font_name)=0
| Set the right font names.
bool | FindMissingGlyphs (const char **str)
| Check whether there are glyphs missing in the current language.

## Detailed Description

Helper for searching through the language pack.

Definition at line 2031 of file strings.cpp.

The documentation for this class was generated from the following file:

- src/strings.cpp